package com.ruoyi.ai.mapper;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiRecharge;

/**
 * 充值管理Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiRechargeMapper extends BaseMapper<AiRecharge> {
    int deleteAiRechargeByIds(Long[] ids);

    int deleteAiRechargeById(Long id);

    List<AiRecharge> selectAiRechargeList(AiRecharge aiRecharge);

    AiRecharge getAiRechargeByOrderNum(String orderno);

    BigDecimal getTotalAmount(AiRecharge aiRecharge);

    List<AiRecharge> getAiRechargeList(AiRecharge aiRecharge);
}
